<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:bafpo7.02.17="http://sbr.gov.au/icls/baf/bafpo/bafpo7.02.17.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:dtyp.02.24="http://sbr.gov.au/fdtn/sbr.02.24.dtyp" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:rvctc2.02.14="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.14.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:RprtPyType.02.10="http://sbr.gov.au/dims/RprtPyType.02.10.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="DIDS201405Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="yes"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="full-event">false</xsl:param><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-sequence-number">1</xsl:param>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RP_facts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RP')"/><xsl:key name="RPPAYEE_facts" match="xbrli:xbrl/*[@contextRef=$RP.PAYEE.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RPPAYEE')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M31"/><xsl:apply-templates select="/" mode="M32"/><xsl:apply-templates select="/" mode="M33"/><xsl:apply-templates select="/" mode="M34"/><xsl:apply-templates select="/" mode="M35"/><xsl:apply-templates select="/" mode="M36"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:choose><xsl:when test="$full-event='true'"><sbdm:MessageEvent><sbdm:Message.Event.MaximumSeverity.Code><xsl:choose><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//sbdm:Message.Event.Item.Severity.Code[.='Warning']">Warning</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></sbdm:Message.Event.MaximumSeverity.Code><sbdm:MessageEventItems><xsl:copy-of select="$results"/></sbdm:MessageEventItems></sbdm:MessageEvent></xsl:when><xsl:otherwise><sbdm:MessageEventItems><xsl:copy-of select="$results"/></sbdm:MessageEventItems></xsl:otherwise></xsl:choose></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable across all of the DIDS services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context                                   [                                       not(@i:nil='true')                                        and                                        xbrli:entity/xbrli:segment                                       [                                           count(xbrldi:explicitMember) = 1                                            and                                           count(xbrldi:typedMember) = 0                                            and                                           xbrldi:explicitMember                                           [                                                matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                               ]                                       ]                                   ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="RP.PAYEE.Context" select="xbrli:xbrl/xbrli:context                                   [                                       not(@i:nil='true')                                        and                                        xbrli:entity/xbrli:segment                                       [                                           count(xbrldi:explicitMember) = 2                                            and                                           count(xbrldi:typedMember) = 0                                            and                                           xbrldi:explicitMember                                           [                                                matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                               ]                                           and                                           xbrldi:explicitMember                                           [                                                matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:SecondaryPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:Payee$')                                               ]                                       ]                                   ]"/><xsl:variable name="RP.PAYEE.ContextId" select="$RP.PAYEE.Context/@id"/><xsl:variable name="dids12" select="key('RP_facts', 'IncomeTax.Deduction.InterestDividend.DescriptionRP')"/><xsl:variable name="dids13" select="key('RP_facts', 'Assets.Investment.ProductInvestmentName.TextRP')"/><xsl:variable name="dids14" select="key('RPPAYEE_facts', 'OrganisationNameDetails.OrganisationalName.TextRPPAYEE')"/><xsl:variable name="dids16" select="key('RPPAYEE_facts', 'PersonNameDetails.FamilyName.TextRPPAYEE')"/><xsl:variable name="dids17" select="key('RPPAYEE_facts', 'PersonNameDetails.GivenName.TextRPPAYEE')"/><xsl:variable name="dids18" select="key('RPPAYEE_facts', 'PersonNameDetails.OtherGivenName.TextRPPAYEE')"/><xsl:variable name="dids19" select="key('RP_facts', 'Assets.Investment.Type.CodeRP')"/><xsl:variable name="dids20" select="key('RP_facts', 'Assets.Investment.AdvancePayment.IndicatorRP')"/><xsl:variable name="dids21" select="key('RP_facts', 'IncomeTax.Deduction.InterestDividendClaimed.AmountRP')"/><xsl:template match="text()" priority="-1" mode="M31"/><xsl:template match="@*|node()" priority="-2" mode="M31"><xsl:apply-templates select="*" mode="M31"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable across all of the DIDS services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M32">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.PAYEE.Context) != 1                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000005</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $RP.PAYEE.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000006</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.000209</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500075</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M32"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1000" mode="M32"><xsl:variable name="currentRPTFN" select="$RP.Context/xbrli:entity/xbrli:identifier"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN']                         and                         xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'] != $currentRPTFN                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.001023</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/><xsl:variable name="endDate" select="xbrli:period/xbrli:endDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500030</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500033</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M32"/></xsl:template><xsl:template match="text()" priority="-1" mode="M32"/><xsl:template match="@*|node()" priority="-2" mode="M32"><xsl:apply-templates select="*" mode="M32"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids12                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000002</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids13                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-''=\[\];:&#34;,.?\s/]*$'))                         ]                                   )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000004</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids14                         [                             matches(.,'^(.*) - (.*)$')                         ]                                   )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428258</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids16                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^(.*)[a-zA-Z](.*)$'))                         ]                                                   )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410040</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                   $dids16                          [                             matches(.,'^(.*)(--|('')('')|  )(.*)$')                          ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428263</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $dids16                           [                               matches(.,'^(.*) - (.*)$')                           ]                                               )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428262</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids17                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^(.*)[a-zA-Z](.*)$'))                         ]                                                   )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410063</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                   $dids17                          [                             matches(.,'^(.*)(--|('')('')|  )(.*)$')                          ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428265</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $dids17                           [                               matches(.,'^(.*) - (.*)$')                           ]                                               )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428264</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids18                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^(.*)[a-zA-Z](.*)$'))                         ]                                                   )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410131</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $dids18                           [                               matches(.,'^(.*) - (.*)$')                           ]                                               )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428266</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                   $dids18                          [                             matches(.,'^(.*)(--|('')('')|  )(.*)$')                          ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428267</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $dids14                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#]')                         ]                         )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500023</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $dids16                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#]')                         ]                         )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500024</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $dids17                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#]')                         ]                         )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500025</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                              $dids18                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             matches(.,'[{}|_\\#]')                         ]                         )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500042</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template><xsl:template match="text()" priority="-1" mode="M33"/><xsl:template match="@*|node()" priority="-2" mode="M33"><xsl:apply-templates select="*" mode="M33"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M34">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids12[string-length(.) &gt; 76]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000001</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids13[string-length(.) &gt; 76]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000003</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids14[string-length(.) &gt; 76]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500082</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids16[string-length(.) &gt; 30]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500016</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids17[string-length(.) &gt; 15]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500017</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids18[string-length(.) &gt; 30]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.500041</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids21[not(matches(.,'^[0-9]{1,11}$'))]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000036</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M34"/></xsl:template><xsl:template match="text()" priority="-1" mode="M34"/><xsl:template match="@*|node()" priority="-2" mode="M34"><xsl:apply-templates select="*" mode="M34"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($dids12[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000038</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($dids13[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000039</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($dids19[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000040</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($dids20[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000041</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($dids21[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000042</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template><xsl:template match="text()" priority="-1" mode="M35"/><xsl:template match="@*|node()" priority="-2" mode="M35"><xsl:apply-templates select="*" mode="M35"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $dids14                           [                               matches(.,'^(T/A )(.*)$', 'i')                                and                                matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')                           ]                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410038</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $dids14                           [                               matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')                           ]                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428261</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $dids14                           [                               matches(.,'^(.*)(P/L)(.*)$')                           ]                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428259</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($dids14[not(@i:nil='true') and string-length(.) != 0])                           and                           not($dids16[not(@i:nil='true') and string-length(.) != 0])                                                  )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000011</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $dids14[not(@i:nil='true') and string-length(.) != 0]                           and                           $dids16[not(@i:nil='true') and string-length(.) != 0]                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000012</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids16                         [                             matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                             matches(.,'^(Exec for|Rep for|Trustee for)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410200</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids16                         [                             matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                             matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                             matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                             matches(.,'^(MR|MRS|MISS|MS)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410201</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids16                         [                             matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                             matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.428231</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           (                               $dids17[not(@i:nil='true') and string-length(.) != 0]                               or                               $dids18[not(@i:nil='true') and string-length(.) != 0]                           )                           and                           not($dids16[not(@i:nil='true') and string-length(.) != 0])                        )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000020</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids17                         [                             matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                             matches(.,'^(Exec for|Rep for|Trustee for)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410203</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids17                         [                             matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                             matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                             matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                             matches(.,'^(MR|MRS|MISS|MS)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410204</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids17                         [                             matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                             matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410202</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($dids17[not(@i:nil='true') and string-length(.) != 0])                           and                           $dids18[not(@i:nil='true') and string-length(.) != 0]                       )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.DIDS.000028</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids18                         [                             matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                             matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                             matches(.,'^(Exec for|Rep for|Trustee for)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410208</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids18                         [                             matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                             matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                             matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                             matches(.,'^(MR|MRS|MISS|MS)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410209</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $dids18                         [                             matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                             matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                             matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                         ]                      )"/><xsl:otherwise> <sbdm:MessageEventItem xmlns:sbdm="http://sbr.gov.au/comn/sbdm.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><sbdm:Message.Event.Item.Error.Code/><sbdm:Message.Event.Item.Severity.Code>Error</sbdm:Message.Event.Item.Severity.Code><sbdm:Parameters><sbdm:Parameter><sbdm:Message.Event.Item.Parameter.Identifier>RuleIdentifier</sbdm:Message.Event.Item.Parameter.Identifier><sbdm:Message.Event.Item.Parameter.Text>VR.ATO.GEN.410207</sbdm:Message.Event.Item.Parameter.Text></sbdm:Parameter></sbdm:Parameters><sbdm:Locations><sbdm:Location><sbdm:BusinessDocument.Sequence.Number><xsl:value-of select="$document-sequence-number"/></sbdm:BusinessDocument.Sequence.Number><sbdm:Message.Event.Item.Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></sbdm:Message.Event.Item.Location.Path.Text></sbdm:Location></sbdm:Locations></sbdm:MessageEventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template><xsl:template match="text()" priority="-1" mode="M36"/><xsl:template match="@*|node()" priority="-2" mode="M36"><xsl:apply-templates select="*" mode="M36"/></xsl:template></xsl:stylesheet>