﻿<?xml version="1.0" encoding="utf-8" ?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>PreFill Context Tests</title>

  <rule context="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.IITR.620001
          ELS Ref: N/A
 
          IF ([iitr10] <> NULL AND [iitr10] <> 2016)    
             RETURN VALIDATION MESSAGE
          ENDIF
        -->
    <assert id="VR.ATO.IITR.620001" diagnostics="DVR.ATO.IITR.620001"
            test="not(
                      $iitr10 != '2016'
              )"
     />

  </rule>
  


  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: V21
         
        IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
            test="not(
                        not(function:ValidateTAN(.)) 
                     )"/>
  </rule>
  
</pattern>
